package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.AssetIcon;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * (AssetIcon)表服务接口
 *
 * @author Xidaray
 * @since 2024-03-07 16:02:04
 */
public interface AssetIconService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AssetIcon queryById(Integer id);


    /**
     * 通过path查询单条数据
     *
     * @param path 路径
     * @return 实例对象
     */
    AssetIcon queryByPath(String path);

    /**
     * 分页查询
     *
     * @param assetIcon 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<AssetIcon> queryByPage(AssetIcon assetIcon, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param assetIcon 实例对象
     * @return 实例对象
     */
    AssetIcon insert(AssetIcon assetIcon);

    /**
     * 修改数据
     *
     * @param assetIcon 实例对象
     * @return 实例对象
     */
    AssetIcon update(AssetIcon assetIcon);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    String removeById(Integer id) throws Exception;

    List<AssetIcon> queryByName(String name);

    List<AssetIcon> queryByCategoryId(Integer categoryId);
}
